Subject: bug#59266: 29.0.50; [PATCH] Add flat-button to set-face-attribute docstring

From: Stefan Kangas <[email-masked]>
Date: Mon, 14 Nov 2022 22:56:15 -0800

Gabriel <[email-masked]> writes:

>> Thanks for the patch.  It copies the text from (info "(elisp)Face
>> Attributes") and in that sense looks good.  But shouldn't we keep the
>> part saying that nil is "the default if the property list doesn't
>> contain a style specification"?
>
> I think the word "omitted" makes it clear that "nil is the default if
> the property list doesn't contain a STYLE specification", similar to how
> it's phrased in (info "(elisp)Face Attributes"). WDYT?
>
> "[...] If STYLE is nil, `flat-button' or omitted, draw a 2D box."

Ah, right.  Yes, I agree.  I think this could go in, but let's see if
anyone else has any comments first.  Thanks.